Bug 81136 - http install fails
http install fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-05 21:54 EST by Chris Ricker
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 15:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-01-05 21:54:58 EST
I'm trying to install rawhide under hercules. I've downloaded the entire rawhide
tree and made it accessible via both http and nfs. NFS installs start, but http
installs immediately fail:

unable to get netstg1.img

In debug.log, I see

* transferring http://10.100.0.254//s390/raw/RedHat/base/updates.img to a fd
* transferring http://10.100.0.254//s390/raw/disc1/RedHat/base/updates.img to a fd
* transferring http://10.100.0.254//s390/raw/RedHat/base/netstg1.img to a fd
* transferring http://10.100.0.254//s390/raw/disc1/RedHat/base/netstg1.img to a fd
* transferring http://10.100.0.254//s390/raw/RedHat/base/updates.img to a fd
* transferring http://10.100.0.254//s390/raw/disc1/RedHat/base/updates.img to a fd
* transferring http://10.100.0.254//s390/raw/RedHat/base/netstg1.img to a fd
* transferring http://10.100.0.254//s390/raw/disc1/RedHat/base/netstg1.img to a fd


And in the web server log on 10.100.0.254, I see requests for the URLs shown
above. Tests from the host Linux system on which hercules is running are able to
wget the netstg1.img just fine....
Comment 1 Brock Organ 2003-01-06 15:00:13 EST
can you try using 

ftp://ftp.redhat.com/pub/redhat/linux/7.2/en/os/s390/

instead of rawhide?  also can you check that the httpd daemon is actually
getting the requests (ie verify network connectivity, ip forwarding through host
system hercules is on, etc. :) )
Comment 2 Chris Ricker 2003-01-06 15:06:31 EST
the 7.2 tree works fine

the httpd daemon definitely gets the requests. From its access.log:

10.100.0.1 - - [05/Jan/2003:16:55:06 -0700] "GET
/s390/raw/RedHat/base/netstg1.img HTTP/1.0" 200 12696 "-" "-"

It looks to me like the rawhide tree does the wget of netstg1.img, but fails to
"mount" it, perhaps? It definitely sends the request and the server sees it, though.
Comment 3 Brock Organ 2003-01-06 15:26:09 EST
hmmm ... rawhide is not working properly ... glad to hear it is working with the
official 7.2-s390 tree, though ... 

Note You need to log in before you can comment on or make changes to this bug.